package filegateway

import (
	"os"
	"testing"
)

func TestLocalFilesystem(t *testing.T) {
	prefix, err := os.MkdirTemp("", "xbus-file-gateway-tests")
	if err != nil {
		t.Fatal(err)
	}
	FilesystemTestSuite(t,
		localFilesystemFactory,
		FilesystemOptions{
			Custom: map[string]interface{}{"prefix": prefix},
		})
}
